# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/nvmem/qcom,sec-qfprom.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Qualcomm Technologies Inc, Secure QFPROM Efuse

maintainers:
  - Komal Bajaj <quic_kbajaj@quicinc.com>

description:
  For some of the Qualcomm SoC's, it is possible that the qfprom region is
  protected from non-secure access. In such situations, the OS have to use
  secure calls to read the region.

allOf:
  - $ref: nvmem.yaml#

properties:
  compatible:
    items:
      - enum:
          - qcom,qdu1000-sec-qfprom
      - const: qcom,sec-qfprom

  reg:
    items:
      - description: The secure qfprom corrected region.

required:
  - compatible
  - reg

unevaluatedProperties: false

examples:
  - |
    soc {
      #address-cells = <2>;
      #size-cells = <2>;

      efuse@221c8000 {
        compatible = "qcom,qdu1000-sec-qfprom", "qcom,sec-qfprom";
        reg = <0 0x221c8000 0 0x1000>;
        #address-cells = <1>;
        #size-cells = <1>;

        multi_chan_ddr: multi-chan-ddr@12b {
          reg = <0x12b 0x1>;
          bits = <0 2>;
        };
      };
    };

